stan::math::fabs_fun Struct Reference

Structure to wrap fabs() so that it can be vectorized. More...

`#include <fabs.hpp>`

## Static Public Member Functions

template<typename T >
static T | fun (const T &x)

## Detailed Description

Structure to wrap fabs() so that it can be vectorized.

Parameters

  x | Variable.

Template Parameters

  T | Variable type.

Returns
  Absolute value of x.

Definition at line 17 of file fabs.hpp.

## Member Function Documentation

## fun()

template<typename T >

static T stan::math::fabs_fun::fun | ( | const T & | x | ) |

inline static

Definition at line 19 of file fabs.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/mat/fun/fabs.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.